# https://gitlab.gnome.org/GNOME/pygobject/issues/253#note_317277
# We don't need to ever pass --no-undefined to Meson because it is enabled by
# default (see: b_lundef option) and is automatically disabled on build targets
# (such as modules) that need it to not be set.
%define _disable_ld_no_undefined 1

%define oname   pygobject

%define api     2.0
%define major   0

%global __provides_exclude_from ^(%{python3_sitearch})/(pygtkcompat|gi/pygtkcompat.py|gi/_gobject/__init__.py|gi/module.py|gi/__init__.py|gi/overrides/GIMarshallingTests.py)
%global __requires_exclude_from ^(%{python3_sitearch})/(pygtkcompat|gi/pygtkcompat.py|gi/_gobject/__init__.py|gi/module.py|gi/__init__.py|gi/overrides/GIMarshallingTests.py)

%global __requires_exclude typelib\\(%%namespaces

%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Python bindings for GObject Introspection
Name:		python-gobject3
Version:	3.46.0
Release:	%mkrel 1
License:	LGPLv2+ and MIT
Group:		Development/Python
Url:		http://www.gnome.org
Source0:	https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	libffi-devel
BuildRequires:	pycairo3-devel
BuildRequires:	python3-devel

%description
The %{name} package provides a convenient wrapper for the GObject library
for use in Python programs.

%package devel
Group:		Development/Python
Summary:	Python-gobject development files
Requires:	python3-gobject3 = %{version}-%{release}
Obsoletes:  python3-gobject3-devel
Provides:   python3-gobject3-devel = %{version}-%{release}

%description devel
This contains the python-gobject development files, including C
header, pkg-config file.

%package -n python3-gobject3
Summary:	Python 3 bindings for GObject Introspection
Group:		Development/Python
Requires:	python3-cairo
Requires:	gobject-introspection
Provides:	python3-gi = %{version}-%{release}

%description -n python3-gobject3
This package provides a convenient wrapper for the GObject library and other
libraries that are compatible with GObject Introspection, for use with Python 3
programs.

%prep
%setup -qn %{oname}-%{version}
# drop bundled egg-info
rm -rf *.egg-info/

%build
%meson -Dpython=%{__python3}
%meson_build

%install
%meson_install

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%files -n python3-gobject3
%{python3_sitelib}/gi/
%{python3_sitelib}/pygtkcompat/
%{python3_sitearch}/*.egg-info
%{python3_sitearch}/gi/

%changelog
* Wed Nov 08 2023 tex - 3.46.0-1pclos2023
- new version

* Fri Feb 18 2022 TerryN <terryn94 at gmail.com>  3.38.0-3pclos2022
- rebuild for python 3.10

* Mon Dec 13 2021 tex - 3.38.0-2pclos2021
- rebuild against updates

* Sun Sep 13 2020 tex - 3.38.0-1pclos2020
- new version

* Sun Sep 13 2020 tex - 3.36.1-1pclos2020
- new version

* Sat Sep 21 2019 tex - 3.34.0-1pclos2019
- new version 3.34.0
